Email Accounts
All operations require authentication.
List email accountsProduction
List email accounts. Returns the primary email addresses of the email accounts. Filter them by primaryEmailAddress, id, accountLicense or company.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Query parameters
Filter the value of accountLicense property (=)
basicenterprisestandardFilter the value of company property (like)
Filter the value of id property (like)
Filter the value of primaryEmailAddress property (like)
Response
Example uses exchangeService = string, organizationName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an email accountProduction
Get an email account. Returns the login, names, license, quota, usage, state, spam settings, forwarding, litigation hold and contact details of the email account.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
SAM account name
Exchange account type
basicenterprisestandardID of the authentication policy to apply on this account
city
Company name
Indicates if the account is configured
Country code
ACADAEAFAGAIALAMAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBWBYBZCACCCDCFCGCHCICKCLCMCNCOCRCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETFIFJFKFMFOFRGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESGSHSISJSKSLSMSNSOSRSSSTSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTRTTTVTWTZUAUGUMUSUYUZVAVCVEVGVIVNVUWFWSXKYEYTZAZMZWCreation date
Mailbox usage
custom isolation apply on this account
delete at expiration
delete outlook at expiration
Description
Account display name
Email domain
exchangeGuid for manual configuration
expiration date
expiration date
Fax number
Account first name
Email address to forward email
GUID for user in active directory
Hide account in Global Address List
Account id
Account initials
Job Department
Job title
Last logoff
Last logon
Account last name
Last update
Litigation hold feature enabled on this mailbox
Litigation hold period in days (0 means unlimited). This setting covers all items in the mailbox.
Account login
Email display as sender
Enable or disable anti-virus and anti-spam
vaderetroMobile phone
Count the number of related aliases attached to this account
Job office
Outlook licence
OWA policy restriction is applied
Time of account's password last update
Phone number
Postal code
Default email for this mailbox
Account maximum size
region
change the renew period for outlook
monthlyyearlychange the renew period
monthlyyearlyRelay domain address that will be used to all e-mails send from this account
Custom sendConnectorId used to send mails when SBR is configured
Spam and Antivirus configuration
Account was sending spam
Ticket number of spam detection
Account state
creatingdeletinginternalMigrationokreopeningsuspendedsuspendingStore copy of email when forward is enable
Street address
Pending task for this account
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress} \
-H "authorization: Bearer $OVH_TOKEN"{ "SAMAccountName": "string", "accountLicense": "basic", "authenticationPolicyId": 0, "city": "string", "company": "string", "configured": true, "countryCode": "AC", "creationDate": "2024-01-01T12:00:00Z", "currentUsage": 0, "customIsolationId": 0, "deleteAtExpiration": true, "deleteOutlookAtExpiration": true, "description": "string", "displayName": "string", "domain": "string", "exchangeGuid": "string", "expirationDate": "2024-01-01T12:00:00Z", "expirationOutlookDate": "2024-01-01T12:00:00Z", "fax": "string", "firstName": "string", "forwardingEmail": "string", "guid": "string", "hiddenFromGAL": true, "id": 0, "initial": "string", "jobDepartment": "string", "jobTitle": "string", "lastLogoffDate": "2024-01-01T12:00:00Z", "lastLogonDate": "2024-01-01T12:00:00Z", "lastName": "string", "lastUpdateDate": "2024-01-01T12:00:00Z", "litigation": true, "litigationPeriod": 0, "login": "string", "mailSenderDisplay": "string", "mailingFilter": [ "vaderetro" ], "mobile": "string", "numberOfAliases": 0, "office": "string", "outlookLicense": true, "owaLimited": true, "passwordLastUpdate": "2024-01-01T12:00:00Z", "phone": "string", "postalCode": "string", "primaryEmailAddress": "string", "quota": 0, "region": "string", "renewOutlookPeriod": "monthly", "renewPeriod": "monthly", "sbrDestination": "string", "sendConnectorId": 0, "spamAndVirusConfiguration": { "checkDKIM": true, "checkSPF": true, "deleteSpam": true, "deleteVirus": true, "putInJunk": true, "tagSpam": true, "tagVirus": true }, "spamDetected": true, "spamTicketNumber": 0, "state": "creating", "storeCopyOfEmail": true, "streetAddress": "string", "taskPendingId": 0}
Create an email accountProduction
Create an email account. Creates an email account from a login, a domain, a password and a license, and returns the task. Set quota in GB.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Request body (required)
SAM account name (exchange 2010 login)
ID of the authentication policy
City
Company name
Country code
ACADAEAFAGAIALAMAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBWBYBZCACCCDCFCGCHCICKCLCMCNCOCRCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETFIFJFKFMFOFRGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESGSHSISJSKSLSMSNSOSRSSSTSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTRTTTVTWTZUAUGUMUSUYUZVAVCVEVGVIVNVUWFWSXKYEYTZAZMZWDescription
Account display name
Email domain
Fax number
Account first name
Email address to forward email
Hide the account in Global Address List
Account initials
Job department
Job title
Account last name
Exchange license
basicenterprisestandardLitigation status
Litigation length in days, 0 means unlimited
Account login
Email display as sender
Enable mailing filtrering
vaderetroMobile phone number
office
Buy outlook license
Account password
Phone Number
Postal code
Quota specified in GB. Check pricing table before use
Region
Sender base routing destination domain
Send connector id used to send mails when SBR is defined
Antispam and Antivirus configuration
Store copy of email when forward is enable
Street address
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses exchangeService = string, organizationName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Delete an email accountProduction
Delete an email account. Deletes the email account and returns the task. On Hosted Exchange, the account is reset instead: its content is deleted and it becomes an unconfigured slot in configureme.me that keeps its subscription.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Update an email accountProduction
Update an email account. Updates the names, license, quota, renewal, forwarding, litigation hold, spam settings, authentication policy and contact details of the email account.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Request body (required)
SAM account name
Exchange account type
basicenterprisestandardID of the authentication policy to apply on this account
city
Company name
Indicates if the account is configured
Country code
ACADAEAFAGAIALAMAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBWBYBZCACCCDCFCGCHCICKCLCMCNCOCRCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETFIFJFKFMFOFRGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESGSHSISJSKSLSMSNSOSRSSSTSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTRTTTVTWTZUAUGUMUSUYUZVAVCVEVGVIVNVUWFWSXKYEYTZAZMZWCreation date
Mailbox usage
custom isolation apply on this account
delete at expiration
delete outlook at expiration
Description
Account display name
Email domain
exchangeGuid for manual configuration
expiration date
expiration date
Fax number
Account first name
Email address to forward email
GUID for user in active directory
Hide account in Global Address List
Account id
Account initials
Job Department
Job title
Last logoff
Last logon
Account last name
Last update
Litigation hold feature enabled on this mailbox
Litigation hold period in days (0 means unlimited). This setting covers all items in the mailbox.
Account login
Email display as sender
Enable or disable anti-virus and anti-spam
vaderetroMobile phone
Count the number of related aliases attached to this account
Job office
Outlook licence
OWA policy restriction is applied
Time of account's password last update
Phone number
Postal code
Default email for this mailbox
Account maximum size
region
change the renew period for outlook
monthlyyearlychange the renew period
monthlyyearlyRelay domain address that will be used to all e-mails send from this account
Custom sendConnectorId used to send mails when SBR is configured
Spam and Antivirus configuration
Account was sending spam
Ticket number of spam detection
Account state
creatingdeletinginternalMigrationokreopeningsuspendedsuspendingStore copy of email when forward is enable
Street address
Pending task for this account
Response
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress} \
-H "authorization: Bearer $OVH_TOKEN"Get the archive mailboxProduction
Get the archive mailbox. Returns the quota in GB, the usage, the state and the creation date of the archive mailbox.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Creation date
Archive mailbox usage
GUID of archive mailbox
Archive mailbox maximum size in GB
Archive mailbox state
creatingdeletinginternalMigrationokreopeningsuspendedsuspendingPending task for this archive mailbox
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ archive \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "currentUsage": 0, "guid": "string", "quota": 0, "state": "creating", "taskPendingId": 0}
Create an archive mailboxProduction
Create an archive mailbox. Creates the archive mailbox of the email account and returns the task. Without quota, the archive gets the quota of the mailbox.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Request body (required)
Archive mailbox quota (if not provided mailbox quota will be taken)
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ archive \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Delete the archive mailboxProduction
Delete the archive mailbox. Deletes the archive mailbox of the email account with the emails archived in it, and returns the task.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ archive \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Update the archive mailbox quotaProduction
Update the archive mailbox quota. Sets the maximum size of the archive mailbox of the email account (quota, in GB).
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Request body (required)
Creation date
Archive mailbox usage
GUID of archive mailbox
Archive mailbox maximum size in GB
Archive mailbox state
creatingdeletinginternalMigrationokreopeningsuspendedsuspendingPending task for this archive mailbox
Response
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ archive \
-H "authorization: Bearer $OVH_TOKEN"Change an email account passwordProduction
Change an email account password. Changes the password and returns the task. Set forcePasswordChangeAtNextLogon to make the user change it at the next logon.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Request body (required)
The password will need to be changed at the next time you log on
New password
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Get the PST exportProduction
Get the PST export. Returns the creation date and the completion percentage of the PST export of the email account.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Creation date
Percentage of export PST request completion
Task pending id
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ export \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "percentComplete": 0, "taskPendingId": 0}
Request a PST exportProduction
Request a PST export. Starts the export of the email account to a PST file, and returns the task. Follow its progress in percentComplete.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ export \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Delete the PST exportProduction
Delete the PST export. Deletes the PST file exported from the email account and its download URL, and returns the task.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ export \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Get the PST export URLProduction
Get the PST export URL. Returns the temporary URL to download the PST export of the email account, and its expiration date.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Url expiration date
Export url
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ exportURL \
-H "authorization: Bearer $OVH_TOKEN"{ "expiration": "2024-01-01T12:00:00Z", "url": "string"}
Generate a PST export URLProduction
Generate a PST export URL. Generates a temporary URL to download the PST export of the email account, and returns the task.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ exportURL \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Get the Outlook download URLProduction
Get the Outlook download URL. Returns the temporary Outlook download URL, its expiration date and the license serial number.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Url expiration date
Serial number
Outlook url
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ outlookURL \
-H "authorization: Bearer $OVH_TOKEN"{ "expiration": "2024-01-01T12:00:00Z", "serial": "string", "url": "string"}
Generate an Outlook download URLProduction
Generate an Outlook download URL. Generates a temporary Outlook download URL for the given version and language, and returns the task. The email account needs an Outlook license.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Request body (required)
Language of outlook
arbgczdadeelenesetfifrhehrhuidinitjakokzltlvmsnbnlplptpt-BRrorsruskslsvthtrukvizh-CNVersion of outlook
mac_x86_2016mac_x86_2019mac_x86_2021windows_x64_2016windows_x64_2019windows_x64_2021windows_x86_2016windows_x86_2019windows_x86_2021Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ outlookURL \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Get the account protocolsProduction
Get the account protocols. Returns whether POP, IMAP, webmail and ActiveSync are enabled on the email account.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
IMAP protocol enabled on that mailbox
POP protocol enabled on that mailbox
Mobile access enabled on that mailbox
Creation date
Last update date
Pending task id
Web mail enabled on that mailbox
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ protocol \
-H "authorization: Bearer $OVH_TOKEN"{ "IMAP": true, "POP": true, "activeSync": true, "creationDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "taskPendingId": 0, "webMail": true}
Update the account protocolsProduction
Update the account protocols. Enables or disables POP, IMAP, webmail and ActiveSync on the email account.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Request body (required)
IMAP protocol enabled on that mailbox
POP protocol enabled on that mailbox
Mobile access enabled on that mailbox
Creation date
Last update date
Pending task id
Web mail enabled on that mailbox
Response
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ protocol \
-H "authorization: Bearer $OVH_TOKEN"Terminate an email account at expirationProduction
Terminate an email account at expiration. Sets the email account to be suspended at its expiration date, and returns a message giving that date. Set deleteAtExpiration to false on the account to cancel.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
List account aliasesProduction
List account aliases. Returns the aliases of the email account: extra addresses that deliver to the same mailbox.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ alias \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an account aliasProduction
Get an account alias. Returns the alias address, its creation date and the ID of its pending task, if any (taskPendingId).
Path parameters
Alias
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Alias
Creation date
Pending task id
Example uses alias = string, exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ alias/ {alias} \
-H "authorization: Bearer $OVH_TOKEN"{ "alias": "string", "creationDate": "2024-01-01T12:00:00Z", "taskPendingId": 0}
Create an account aliasProduction
Create an account alias. Adds the alias address to the email account, so that it receives its emails, and returns the task.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Request body (required)
Alias
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ alias \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Delete an account aliasProduction
Delete an account alias. Removes the alias address from the email account, which no longer receives its emails, and returns the task.
Path parameters
Alias
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses alias = string, exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ alias/ {alias} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
List full access permissionsProduction
List full access permissions. Returns the IDs of the accounts that have full access to the email account.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ fullAccess \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a full access permissionProduction
Get a full access permission. Returns the ID of the account allowed to open the mailbox of this email account, and the creation date of the right.
Path parameters
Account id to give full access
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Account id to give full access
Creation date
Pending task id
Example uses allowedAccountId = 0, exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ fullAccess/ {allowedAccountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedAccountId": 0, "creationDate": "2024-01-01T12:00:00Z", "taskPendingId": 0}
Add a full access permissionProduction
Add a full access permission. Gives the account given by allowedAccountId full access to the email account, and returns the task.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Request body (required)
User to give full access
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ fullAccess \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Remove a full access permissionProduction
Remove a full access permission. Withdraws the access of the allowed account to the mailbox of this email account, and returns the task.
Path parameters
Account id to give full access
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses allowedAccountId = 0, exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ fullAccess/ {allowedAccountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
List send as permissionsProduction
List send as permissions. Returns the IDs of the accounts allowed to send emails as the email account.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ sendAs \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a send as permissionProduction
Get a send as permission. Returns the ID of the account allowed to send emails as this email account, and the creation date of the right.
Path parameters
Account id to give send as
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Account id to give send as
Creation date
Pending task id
Example uses allowedAccountId = 0, exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ sendAs/ {allowedAccountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedAccountId": 0, "creationDate": "2024-01-01T12:00:00Z", "taskPendingId": 0}
Add a send as permissionProduction
Add a send as permission. Allows the account given by allowAccountId to send emails as the email account, and returns the task.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Request body (required)
Account id to allow to send mails from this mailbox
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ sendAs \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Remove a send as permissionProduction
Remove a send as permission. Withdraws the right of the allowed account to send emails as this email account, and returns the task.
Path parameters
Account id to give send as
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses allowedAccountId = 0, exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ sendAs/ {allowedAccountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
List send on behalf permissionsProduction
List send on behalf permissions. Returns the IDs of the accounts allowed to send emails on behalf of the email account.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ sendOnBehalfTo \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a send on behalf permissionProduction
Get a send on behalf permission. Returns the ID of the account allowed to send emails on behalf of this email account, and the creation date of the right.
Path parameters
Account id to give send on behalf to
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Account id to give send on behalf to
Creation date
Pending task id
Example uses allowedAccountId = 0, exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ sendOnBehalfTo/ {allowedAccountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedAccountId": 0, "creationDate": "2024-01-01T12:00:00Z", "taskPendingId": 0}
Add a send on behalf permissionProduction
Add a send on behalf permission. Allows the account given by allowAccountId to send emails on behalf of the email account, and returns the task.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Request body (required)
Account id to allow to send On Behalf To mails from this mailbox
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ sendOnBehalfTo \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Remove a send on behalf permissionProduction
Remove a send on behalf permission. Withdraws the right of the allowed account to send emails on behalf of this email account, and returns the task.
Path parameters
Account id to give send on behalf to
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses allowedAccountId = 0, exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ sendOnBehalfTo/ {allowedAccountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
List Active Directory accountsProduction
List Active Directory accounts. Returns the user principal names of the accounts of the Active Directory service. Filter them by company, id or userPrincipalName.
Path parameters
The internal name of your Active Directory organization
Query parameters
Filter the value of company property (like)
Filter the value of id property (like)
Filter the value of userPrincipalName property (like)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ msServices/ {serviceName}/ account \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an Active Directory accountProduction
Get an Active Directory account. Returns the identity, contact details, job information, state and last logon and logoff dates of the account.
Path parameters
The internal name of your Active Directory organization
User Principal Name
Response
SAM account name
city
Company name
Country code
ACADAEAFAGAIALAMAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBWBYBZCACCCDCFCGCHCICKCLCMCNCOCRCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETFIFJFKFMFOFRGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESGSHSISJSKSLSMSNSOSRSSSTSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTRTTTVTWTZUAUGUMUSUYUZVAVCVEVGVIVNVUWFWSXKYEYTZAZMZWCreation date
Description
Account display name
Is synced to Entra ID
Fax number
Account first name
GUID for user in active directory
Account id
Account initials
Job Department
Job title
Last logoff
Last logon
Account last name
Last update
Mobile phone
Job office
Time of account's password last update
Phone number
Postal code
region
Account state
creatingdeletingdisabledmodifyingokreopeningsuspendedsuspendingStreet address
Pending task for this account
User Principal Name
Example uses serviceName = string, userPrincipalName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ msServices/ {serviceName}/ account/ {userPrincipalName} \
-H "authorization: Bearer $OVH_TOKEN"{ "SAMAccountName": "string", "city": "string", "company": "string", "countryCode": "AC", "creationDate": "2024-01-01T12:00:00Z", "description": "string", "displayName": "string", "entraIdSynced": true, "fax": "string", "firstName": "string", "guid": "string", "id": 0, "initials": "string", "jobDepartment": "string", "jobTitle": "string", "lastLogoffDate": "2024-01-01T12:00:00Z", "lastLogonDate": "2024-01-01T12:00:00Z", "lastName": "string", "lastUpdateDate": "2024-01-01T12:00:00Z", "mobile": "string", "office": "string", "passwordLastUpdate": "2024-01-01T12:00:00Z", "phone": "string", "postalCode": "string", "region": "string", "state": "creating", "streetAddress": "string", "taskPendingId": 0, "userPrincipalName": "string"}
Update an Active Directory accountProduction
Update an Active Directory account. Updates the user principal name, names, contact details and job information of the account.
Path parameters
The internal name of your Active Directory organization
User Principal Name
Request body (required)
SAM account name
city
Company name
Country code
ACADAEAFAGAIALAMAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBWBYBZCACCCDCFCGCHCICKCLCMCNCOCRCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETFIFJFKFMFOFRGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESGSHSISJSKSLSMSNSOSRSSSTSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTRTTTVTWTZUAUGUMUSUYUZVAVCVEVGVIVNVUWFWSXKYEYTZAZMZWCreation date
Description
Account display name
Is synced to Entra ID
Fax number
Account first name
GUID for user in active directory
Account id
Account initials
Job Department
Job title
Last logoff
Last logon
Account last name
Last update
Mobile phone
Job office
Time of account's password last update
Phone number
Postal code
region
Account state
creatingdeletingdisabledmodifyingokreopeningsuspendedsuspendingStreet address
Pending task for this account
User Principal Name
Response
Example uses serviceName = string, userPrincipalName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ msServices/ {serviceName}/ account/ {userPrincipalName} \
-H "authorization: Bearer $OVH_TOKEN"Change the Active Directory passwordProduction
Change the Active Directory password. Changes the password of the Active Directory account and returns the task.
Path parameters
The internal name of your Active Directory organization
User Principal Name
Request body (required)
new password
Response
Completion date
Function name
activateADSyncactivateSharepointaddADAccountaddADOUaddADSyncAccountaddADUPNSuffixalterMfaOnAllUserschangeADPasswordchangeADSyncPassworddeactivateADSyncdelADOUdeleteADAccountdeleteADSyncAccountdeleteADUPNSuffixdisableADAccountMfadisableADAccountMfaTemporaryenableADAccountMfaenableADSyncAccountgenerateADSyncClientUrlresetADAccountMfasetADAccountsetPasswordPolicyTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses serviceName = string, userPrincipalName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ msServices/ {serviceName}/ account/ {userPrincipalName}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateADSync", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Get an account mailboxProduction
Get an account mailbox. Returns the Exchange mailbox of the Active Directory account: primary address, license, quota, usage, Outlook license, renewal and expiration settings, and spam and antivirus configuration.
Path parameters
The internal name of your Active Directory organization
User Principal Name
Response
Exchange account license
basicenterprisestandardIndicates if the account is configured
Creation date
Mailbox usage in KB
Delete mailbox at expiration date
Delete Outlook license at expiration date
Property needed for mailbox manual configuration (GUID)
Expiration date
Expiration date of Outlook license
Visibility in Global Address List
Account id
Litigation hold feature enabled on this mailbox
Litigation hold period in days (0 means unlimited). This setting covers all items in the mailbox.
Enable or disable anti-virus and anti-spam
vaderetroCount the number of related aliases attached to this account
Outlook licence attached
OWA policy restriction is applied
Primary address of the mailbox
Maximum mailbox usage in GB (overall size)
Frequency of Outlook license renewals
monthlyyearlyFrequency of mailbox license renewals
monthlyyearlySpam and Antivirus configuration
Spam activity detected on this mailbox
Ticket number of spam detection
Mailbox state
creatingdeletingdisabledmodifyingokreopeningsuspendedsuspendingPending task id for this account
Example uses serviceName = string, userPrincipalName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ msServices/ {serviceName}/ account/ {userPrincipalName}/ exchange \
-H "authorization: Bearer $OVH_TOKEN"{ "accountLicense": "basic", "configured": true, "creationDate": "2024-01-01T12:00:00Z", "currentUsage": 0, "deleteAtExpiration": true, "deleteOutlookAtExpiration": true, "exchangeGuid": "string", "expirationDate": "2024-01-01T12:00:00Z", "expirationOutlookDate": "2024-01-01T12:00:00Z", "hiddenFromGAL": true, "id": 0, "litigation": true, "litigationPeriod": 0, "mailingFilter": [ "vaderetro" ], "numberOfAliases": 0, "outlookLicense": true, "owaLimited": true, "primaryEmailAddress": "string", "quota": 0, "renewOutlookPeriod": "monthly", "renewPeriod": "monthly", "spamAndVirusConfiguration": { "checkDKIM": true, "checkSPF": true, "deleteSpam": true, "deleteVirus": true, "putInJunk": true, "tagSpam": true, "tagVirus": true }, "spamDetected": true, "spamTicketNumber": 0, "state": "creating", "taskPendingId": 0}
Update an account mailboxProduction
Update an account mailbox. Updates the license, quota, Outlook license, renewal and deletion at expiration settings, litigation hold, Global Address List visibility and spam and antivirus configuration of the mailbox.
Path parameters
The internal name of your Active Directory organization
User Principal Name
Request body (required)
Exchange account license
basicenterprisestandardIndicates if the account is configured
Creation date
Mailbox usage in KB
Delete mailbox at expiration date
Delete Outlook license at expiration date
Property needed for mailbox manual configuration (GUID)
Expiration date
Expiration date of Outlook license
Visibility in Global Address List
Account id
Litigation hold feature enabled on this mailbox
Litigation hold period in days (0 means unlimited). This setting covers all items in the mailbox.
Enable or disable anti-virus and anti-spam
vaderetroCount the number of related aliases attached to this account
Outlook licence attached
OWA policy restriction is applied
Primary address of the mailbox
Maximum mailbox usage in GB (overall size)
Frequency of Outlook license renewals
monthlyyearlyFrequency of mailbox license renewals
monthlyyearlySpam and Antivirus configuration
Spam activity detected on this mailbox
Ticket number of spam detection
Mailbox state
creatingdeletingdisabledmodifyingokreopeningsuspendedsuspendingPending task id for this account
Response
Example uses serviceName = string, userPrincipalName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ msServices/ {serviceName}/ account/ {userPrincipalName}/ exchange \
-H "authorization: Bearer $OVH_TOKEN"Get the account MFAProduction
Get the account MFA. Returns whether MFA is activated on the Active Directory account, and its state.
Path parameters
The internal name of your Active Directory organization
User Principal Name
Response
Indicates if Multi Factor Authentication is activated on this account
Current status of Multi Factor Authentication feature
creatingdeletingdisabledmodifyingokreopeningsuspendedsuspendingPending task for Multi Factor Authentication
Example uses serviceName = string, userPrincipalName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ msServices/ {serviceName}/ account/ {userPrincipalName}/ mfa \
-H "authorization: Bearer $OVH_TOKEN"{ "activated": true, "state": "creating", "taskPendingId": 0}
Create the account MFAProduction
Create the account MFA. Creates MFA for the Active Directory account and returns the task. MFA is enabled by default when created.
Path parameters
The internal name of your Active Directory organization
User Principal Name
Response
Completion date
Function name
activateADSyncactivateSharepointaddADAccountaddADOUaddADSyncAccountaddADUPNSuffixalterMfaOnAllUserschangeADPasswordchangeADSyncPassworddeactivateADSyncdelADOUdeleteADAccountdeleteADSyncAccountdeleteADUPNSuffixdisableADAccountMfadisableADAccountMfaTemporaryenableADAccountMfaenableADSyncAccountgenerateADSyncClientUrlresetADAccountMfasetADAccountsetPasswordPolicyTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses serviceName = string, userPrincipalName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ msServices/ {serviceName}/ account/ {userPrincipalName}/ mfa \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateADSync", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Delete the account MFAProduction
Delete the account MFA. Removes the MFA of the Active Directory account and returns the task. The user signs in with a password only.
Path parameters
The internal name of your Active Directory organization
User Principal Name
Response
Completion date
Function name
activateADSyncactivateSharepointaddADAccountaddADOUaddADSyncAccountaddADUPNSuffixalterMfaOnAllUserschangeADPasswordchangeADSyncPassworddeactivateADSyncdelADOUdeleteADAccountdeleteADSyncAccountdeleteADUPNSuffixdisableADAccountMfadisableADAccountMfaTemporaryenableADAccountMfaenableADSyncAccountgenerateADSyncClientUrlresetADAccountMfasetADAccountsetPasswordPolicyTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses serviceName = string, userPrincipalName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ msServices/ {serviceName}/ account/ {userPrincipalName}/ mfa \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateADSync", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Disable the account MFAProduction
Disable the account MFA. Disables MFA on the Active Directory account for period hours, and returns the task.
Path parameters
The internal name of your Active Directory organization
User Principal Name
Request body (required)
Multi Factor Authentication disable period in hours
Response
Completion date
Function name
activateADSyncactivateSharepointaddADAccountaddADOUaddADSyncAccountaddADUPNSuffixalterMfaOnAllUserschangeADPasswordchangeADSyncPassworddeactivateADSyncdelADOUdeleteADAccountdeleteADSyncAccountdeleteADUPNSuffixdisableADAccountMfadisableADAccountMfaTemporaryenableADAccountMfaenableADSyncAccountgenerateADSyncClientUrlresetADAccountMfasetADAccountsetPasswordPolicyTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses serviceName = string, userPrincipalName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ msServices/ {serviceName}/ account/ {userPrincipalName}/ mfa/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateADSync", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Enable the account MFAProduction
Enable the account MFA. Enables MFA on the Active Directory account and returns the task. MFA is enabled by default when created.
Path parameters
The internal name of your Active Directory organization
User Principal Name
Response
Completion date
Function name
activateADSyncactivateSharepointaddADAccountaddADOUaddADSyncAccountaddADUPNSuffixalterMfaOnAllUserschangeADPasswordchangeADSyncPassworddeactivateADSyncdelADOUdeleteADAccountdeleteADSyncAccountdeleteADUPNSuffixdisableADAccountMfadisableADAccountMfaTemporaryenableADAccountMfaenableADSyncAccountgenerateADSyncClientUrlresetADAccountMfasetADAccountsetPasswordPolicyTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses serviceName = string, userPrincipalName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ msServices/ {serviceName}/ account/ {userPrincipalName}/ mfa/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateADSync", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Reset the account MFAProduction
Reset the account MFA. Resets the MFA of the Active Directory account, so that the user registers again at the next sign-in. Returns the task.
Path parameters
The internal name of your Active Directory organization
User Principal Name
Response
Completion date
Function name
activateADSyncactivateSharepointaddADAccountaddADOUaddADSyncAccountaddADUPNSuffixalterMfaOnAllUserschangeADPasswordchangeADSyncPassworddeactivateADSyncdelADOUdeleteADAccountdeleteADSyncAccountdeleteADUPNSuffixdisableADAccountMfadisableADAccountMfaTemporaryenableADAccountMfaenableADSyncAccountgenerateADSyncClientUrlresetADAccountMfasetADAccountsetPasswordPolicyTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses serviceName = string, userPrincipalName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ msServices/ {serviceName}/ account/ {userPrincipalName}/ mfa/ reset \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateADSync", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Create MFA on all accountsProduction
Create MFA on all accounts. Creates MFA for all the accounts of the Active Directory service and returns the task.
Path parameters
The internal name of your Active Directory organization
Response
Completion date
Function name
activateADSyncactivateSharepointaddADAccountaddADOUaddADSyncAccountaddADUPNSuffixalterMfaOnAllUserschangeADPasswordchangeADSyncPassworddeactivateADSyncdelADOUdeleteADAccountdeleteADSyncAccountdeleteADUPNSuffixdisableADAccountMfadisableADAccountMfaTemporaryenableADAccountMfaenableADSyncAccountgenerateADSyncClientUrlresetADAccountMfasetADAccountsetPasswordPolicyTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ msServices/ {serviceName}/ createMfaOnAllUsers \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateADSync", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Remove MFA from all accountsProduction
Remove MFA from all accounts. Removes MFA from all the accounts of the Active Directory service and returns the task.
Path parameters
The internal name of your Active Directory organization
Response
Completion date
Function name
activateADSyncactivateSharepointaddADAccountaddADOUaddADSyncAccountaddADUPNSuffixalterMfaOnAllUserschangeADPasswordchangeADSyncPassworddeactivateADSyncdelADOUdeleteADAccountdeleteADSyncAccountdeleteADUPNSuffixdisableADAccountMfadisableADAccountMfaTemporaryenableADAccountMfaenableADSyncAccountgenerateADSyncClientUrlresetADAccountMfasetADAccountsetPasswordPolicyTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ msServices/ {serviceName}/ removeMfaOnAllUsers \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateADSync", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}